## org.eclipse.amp.amf.gen.ide
Class LogWorkflow

    java.lang.Object
      org.eclipse.amp.amf.gen.ide.LogWorkflow

All Implemented Interfaces:
  org.apache.commons.logging.Log

    public class LogWorkflow

extends java.lang.Object
implements org.apache.commons.logging.Log

Apache logging support for workflows.

Author:
  milesparker

Constructor Summary
`LogWorkflow(java.lang.String name)`

Method Summary
`static void` `addInfo(java.lang.Object message)`
`void` `belowWarning(java.lang.Object message)` Handle any messages that are below level of warning.
`static void` `clearLog()`
`static org.eclipse.core.runtime.IStatus` `createStatus(int severity, java.lang.String pluginName, java.lang.String message, org.eclipse.emf.mwe.core.issues.MWEDiagnostic[] MWEDiagnostics)`
`void` `debug(java.lang.Object message)`
`void` `debug(java.lang.Object message, java.lang.Throwable t)`
`void` `error(java.lang.Object message)`
`void` `error(java.lang.Object message, java.lang.Throwable t)`
`void` `fatal(java.lang.Object message)`
`void` `fatal(java.lang.Object message, java.lang.Throwable t)`
`static org.eclipse.emf.mwe.core.issues.MWEDiagnostic[]` `getErrors()`
`static org.eclipse.emf.mwe.core.issues.MWEDiagnostic[]` `getFatals()`
`static org.eclipse.emf.mwe.core.issues.MWEDiagnostic[]` `getWarnings()`
`void` `info(java.lang.Object message)`
`void` `info(java.lang.Object message, java.lang.Throwable t)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`java.lang.String` `messageFor(java.lang.Object object)`
`static void` `registerToLogFactory()`
`static void` `report(int severity, java.lang.String pluginName, java.lang.String message, boolean show)`
`static void` `report(int severity, java.lang.String pluginName, java.lang.String message, org.eclipse.emf.mwe.core.issues.MWEDiagnostic[] MWEDiagnostics, boolean show)`
`static void` `report(org.eclipse.core.runtime.IStatus status, boolean show)`
`static void` `report(java.lang.String pluginName, java.lang.String taskDescription)`
`static void` `report(java.lang.String pluginName, java.lang.String taskDescription, boolean showErrors)`
`static void` `restoreLogFactory()`
`static void` `setSuccess(boolean success)`
`void` `trace(java.lang.Object message)`
`void` `trace(java.lang.Object message, java.lang.Throwable t)`
`void` `warn(java.lang.Object message)`
`void` `warn(java.lang.Object message, java.lang.Throwable t)`
`void` `warningOrAbove(java.lang.Object message)` Handle any messages that are below level of warning.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogWorkflow

    public LogWorkflow(java.lang.String name)

Method Detail

### report

    public static void report(org.eclipse.core.runtime.IStatus status,
                              boolean show)

### report

    public static void report(int severity,
                              java.lang.String pluginName,
                              java.lang.String message,
                              org.eclipse.emf.mwe.core.issues.MWEDiagnostic[] MWEDiagnostics,
                              boolean show)

### report

    public static void report(int severity,
                              java.lang.String pluginName,
                              java.lang.String message,
                              boolean show)

### createStatus

    public static org.eclipse.core.runtime.IStatus createStatus(int severity,
                                                                java.lang.String pluginName,
                                                                java.lang.String message,
                                                                org.eclipse.emf.mwe.core.issues.MWEDiagnostic[] MWEDiagnostics)

### getErrors

    public static org.eclipse.emf.mwe.core.issues.MWEDiagnostic[] getErrors()

### getWarnings

    public static org.eclipse.emf.mwe.core.issues.MWEDiagnostic[] getWarnings()

### getFatals

    public static org.eclipse.emf.mwe.core.issues.MWEDiagnostic[] getFatals()

### registerToLogFactory

    public static void registerToLogFactory()

### restoreLogFactory

    public static void restoreLogFactory()

### clearLog

    public static void clearLog()

### report

    public static void report(java.lang.String pluginName,
                              java.lang.String taskDescription)

### report

    public static void report(java.lang.String pluginName,
                              java.lang.String taskDescription,
                              boolean showErrors)

### messageFor

    public java.lang.String messageFor(java.lang.Object object)

### error

    public void error(java.lang.Object message)

  Specified by:
    `error` in interface `org.apache.commons.logging.Log`

### error

    public void error(java.lang.Object message,
                      java.lang.Throwable t)

  Specified by:
    `error` in interface `org.apache.commons.logging.Log`

### fatal

    public void fatal(java.lang.Object message)

  Specified by:
    `fatal` in interface `org.apache.commons.logging.Log`

### fatal

    public void fatal(java.lang.Object message,
                      java.lang.Throwable t)

  Specified by:
    `fatal` in interface `org.apache.commons.logging.Log`

### warn

    public void warn(java.lang.Object message)

  Specified by:
    `warn` in interface `org.apache.commons.logging.Log`

### warn

    public void warn(java.lang.Object message,
                     java.lang.Throwable t)

  Specified by:
    `warn` in interface `org.apache.commons.logging.Log`

### belowWarning

    public void belowWarning(java.lang.Object message)

  Handle any messages that are below level of warning.

### warningOrAbove

    public void warningOrAbove(java.lang.Object message)

  Handle any messages that are below level of warning.

### addInfo

    public static void addInfo(java.lang.Object message)

### info

    public void info(java.lang.Object message)

  Specified by:
    `info` in interface `org.apache.commons.logging.Log`

### info

    public void info(java.lang.Object message,
                     java.lang.Throwable t)

  Specified by:
    `info` in interface `org.apache.commons.logging.Log`

### trace

    public void trace(java.lang.Object message)

  Specified by:
    `trace` in interface `org.apache.commons.logging.Log`

### trace

    public void trace(java.lang.Object message,
                      java.lang.Throwable t)

  Specified by:
    `trace` in interface `org.apache.commons.logging.Log`

### debug

    public void debug(java.lang.Object message)

  Specified by:
    `debug` in interface `org.apache.commons.logging.Log`

### debug

    public void debug(java.lang.Object message,
                      java.lang.Throwable t)

  Specified by:
    `debug` in interface `org.apache.commons.logging.Log`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.apache.commons.logging.Log`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `org.apache.commons.logging.Log`

### isFatalEnabled

    public boolean isFatalEnabled()

  Specified by:
    `isFatalEnabled` in interface `org.apache.commons.logging.Log`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `org.apache.commons.logging.Log`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `org.apache.commons.logging.Log`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `org.apache.commons.logging.Log`

### setSuccess

    public static void setSuccess(boolean success)